Bug 473229 - Incorrect PCM Volume in default config
Incorrect PCM Volume in default config
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 03:57 EST by Ví­ctor Daniel
Modified: 2009-03-02 11:57 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.0.19-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 11:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zero PCM Volume (179.65 KB, image/png)
2008-11-27 03:57 EST, Ví­ctor Daniel
no flags Details
alsa-info.txt generated from "alsa-info.sh --no-upload" (18.18 KB, text/plain)
2009-02-04 11:49 EST, Ví­ctor Daniel
no flags Details

  None (edit)
Description Ví­ctor Daniel 2008-11-27 03:57:06 EST
Created attachment 324844 [details]
Zero PCM Volume

Description of problem:
Default PCM Volume is zero, causing in some ("old") intel chips not playing of sound.

The solution can't be performed with pulseaudio default controls. (see attached screenshot).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open a music player and play a sound
2. no sound.
  
Actual results:
Default sound configuration not play sound.

Expected results:
Play sound with default configuration.

Additional info:
High PCM Volumes cause sound distortion: https://launchpad.net/ubuntu/+source/gnome-alsamixer/+bug/42043
Comment 1 David L. Parsley 2008-12-08 12:42:58 EST
My default PCM volume was very low, so that I had to crank my speakers and all volumes all the way for it to be audible.  When I fired up 'alsamixer -c 0', the PCM volume was at around -21dB.  I brought it all the way up to +12 to make it usable.  My card from lspci:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
This is from a recent model Dell Optiplex 745.
Comment 2 Lennart Poettering 2008-12-08 13:34:41 EST
In F10 PA doesn't init the audio volume unless it has some previously saved volume to restore. 

It's ALSA's job to come up with sane defaults. REassigning to alsa.
Comment 3 Jaroslav Kysela 2009-02-04 07:23:19 EST
Please, attach output from 'alsa-info.sh --no-upload'.
Comment 4 Ví­ctor Daniel 2009-02-04 11:49:11 EST
Created attachment 330885 [details]
alsa-info.txt generated from "alsa-info.sh --no-upload"
Comment 5 Jaroslav Kysela 2009-02-05 07:04:53 EST
Could you copy the latest /lib/alsa/init/default file from this localiton http://git.alsa-project.org/?p=alsa-utils.git;a=blob_plain;f=alsactl/init/default and test if 'alsaunmute' script sets the default volumes correctly for your hw? Thank you.
Comment 6 Ví­ctor Daniel 2009-02-05 12:52:55 EST
Yeap,

Shows this message:
Unknown hardware: "ICH4" "Realtek ALC202 rev 0" "AC97a:414c4740" "" ""
Hardware is initialized using a guess method
but,yes, sets the correct PCM and Volume Value.

Bye and Tks by your fix.
Comment 7 Fedora Update System 2009-03-02 11:56:52 EST
alsa-utils-1.0.19-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.